Shared Gallery Image Versions - Get
Get a shared gallery image version by subscription id or tenant id.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries/{galleryUniqueName}/images/{galleryImageName}/versions/{galleryImageVersionName}?api-version=2024-03-03
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
gallery
|
path | True |
string |
The name of the Shared Gallery Image Definition from which the Image Versions are to be listed. |
|
gallery
|
path | True |
string |
The name of the gallery image version to be created. Needs to follow semantic version name pattern: The allowed characters are digit and period. Digits must be within the range of a 32-bit integer. Format: <MajorVersion>.<MinorVersion>.<Patch> |
|
gallery
|
path | True |
string |
The unique name of the Shared Gallery. |
|
location
|
path | True |
string minLength: 1 |
The name of Azure region. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get a shared gallery image version.
Sample request
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/myLocation/sharedGalleries/galleryUniqueName/images/myGalleryImageName/versions/myGalleryImageVersionName?api-version=2024-03-03
Sample response
{
"properties": {
"publishedDate": "2018-03-20T09:12:28Z",
"endOfLifeDate": "2022-03-20T09:12:28Z",
"excludeFromLatest": false,
"storageProfile": {
"osDiskImage": {
"diskSizeGB": 29,
"hostCaching": "None"
}
},
"artifactTags": {
"ShareTag-Official1PGallery": "Official1PGallery"
}
},
"location": "myLocation",
"name": "myGalleryImageVersionName",
"identifier": {
"uniqueId": "/SharedGalleries/galleryUniqueName/Images/myGalleryImageName/Versions/myGalleryImageVersionName"
}
}
Definitions
| Name | Description |
|---|---|
|
Api |
Api error. |
|
Api |
Api error base. |
|
Cloud |
An error response from the Compute service. |
|
Inner |
Inner error details. |
|
Shared |
This is the data disk image. |
|
Shared |
The host caching of the disk. Valid values are 'None', 'ReadOnly', and 'ReadWrite' |
|
Shared |
Specifies information about the gallery image version that you want to create or update. |
|
Shared |
This is the storage profile of a Gallery Image Version. |
|
Shared |
This is the OS disk image. |
ApiError
Api error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
The Api error details |
|
| innererror |
The Api inner error |
|
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
ApiErrorBase
Api error base.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
CloudError
An error response from the Compute service.
| Name | Type | Description |
|---|---|---|
| error |
Api error. |
InnerError
Inner error details.
| Name | Type | Description |
|---|---|---|
| errordetail |
string |
The internal error message or exception dump. |
| exceptiontype |
string |
The exception type. |
SharedGalleryDataDiskImage
This is the data disk image.
| Name | Type | Description |
|---|---|---|
| diskSizeGB |
integer (int32) |
This property indicates the size of the VHD to be created. |
| hostCaching |
The host caching of the disk. Valid values are 'None', 'ReadOnly', and 'ReadWrite' |
|
| lun |
integer (int32) |
This property specifies the logical unit number of the data disk. This value is used to identify data disks within the Virtual Machine and therefore must be unique for each data disk attached to the Virtual Machine. |
SharedGalleryHostCaching
The host caching of the disk. Valid values are 'None', 'ReadOnly', and 'ReadWrite'
| Value | Description |
|---|---|
| None | |
| ReadOnly | |
| ReadWrite |
SharedGalleryImageVersion
Specifies information about the gallery image version that you want to create or update.
| Name | Type | Description |
|---|---|---|
| identifier.uniqueId |
string |
The unique id of this shared gallery. |
| location |
string |
Resource location |
| name |
string |
Resource name |
| properties.artifactTags |
object |
The artifact tags of a shared gallery resource. |
| properties.endOfLifeDate |
string (date-time) |
The end of life date of the gallery image version Definition. This property can be used for decommissioning purposes. This property is updatable. |
| properties.excludeFromLatest |
boolean |
If set to true, Virtual Machines deployed from the latest version of the Image Definition won't use this Image Version. |
| properties.publishedDate |
string (date-time) |
The published date of the gallery image version Definition. This property can be used for decommissioning purposes. This property is updatable. |
| properties.storageProfile |
Describes the storage profile of the image version. |
SharedGalleryImageVersionStorageProfile
This is the storage profile of a Gallery Image Version.
| Name | Type | Description |
|---|---|---|
| dataDiskImages |
A list of data disk images. |
|
| osDiskImage |
This is the OS disk image. |
SharedGalleryOSDiskImage
This is the OS disk image.
| Name | Type | Description |
|---|---|---|
| diskSizeGB |
integer (int32) |
This property indicates the size of the VHD to be created. |
| hostCaching |
The host caching of the disk. Valid values are 'None', 'ReadOnly', and 'ReadWrite' |